KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase certs - Certificate generation

SYNOPSIS
kubeadm init phase certs [OPTIONS]

DESCRIPTION
Certificate generation

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-init-phase(1), kubeadm-init-phase-certs-all(1), kubeadm-init-phase-certs-apiserver(1), kubeadm-init-phase-certs-apiserver-etcd-client(1), kubeadm-init-phase-certs-apiserver-kubelet-client(1), kubeadm-init-phase-certs-ca(1), kubeadm-init-phase-certs-etcd-ca(1), kubeadm-init-phase-certs-etcd-healthcheck-client(1), kubeadm-init-phase-certs-etcd-peer(1), kubeadm-init-phase-certs-etcd-server(1), kubeadm-init-phase-certs-front-proxy-ca(1), kubeadm-init-phase-certs-front-proxy-client(1), kubeadm-init-phase-certs-sa(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!